Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class FilterQueryPlan

    java.lang.Object
      org.hibernate.engine.query.spi.HQLQueryPlan
          org.hibernate.engine.query.spi.FilterQueryPlan

All Implemented Interfaces:
  Serializable

    public class FilterQueryPlan

extends HQLQueryPlan
implements Serializable

Extends an HQLQueryPlan to maintain a reference to the collection-role name being filtered.

See Also:
  Serialized Form

Constructor Summary
`FilterQueryPlan(String hql, String collectionRole, boolean shallow, Map enabledFilters, SessionFactoryImplementor factory)`

Method Summary
`String` | `getCollectionRole()`

Methods inherited from class org.hibernate.engine.query.spi.HQLQueryPlan
`getDynamicInstantiationResultType, getEnabledFilterNames, getParameterMetadata, getQuerySpaces, getReturnMetadata, getSourceQuery, getSqlStrings, getTranslators, getUtilizedFilterNames, isShallow, performExecuteUpdate, performIterate, performList, performScroll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterQueryPlan

    public FilterQueryPlan(String hql,
                           String collectionRole,
                           boolean shallow,
                           Map enabledFilters,
                           SessionFactoryImplementor factory)

Method Detail

### getCollectionRole

    public String getCollectionRole()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.